petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexGetCellType

Get the polytope type of a given cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCellType(DM dm, PetscInt cell, DMPolytopeType *celltype)

Not Collective

### Input Parameter

| dm | - The DMPlex object
| cell | - The cell

### Output Parameter

celltype -The polytope type of the cell

### See Also

DMPlexGetCellTypeLabel(), DMPlexGetDepthLabel(), DMPlexGetDepth()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages